Firewall Policies API
Firewall policies control which traffic the Firebox allows or denies between networks. The Firebox matches each connection to a policy based on the traffic source, destination, and traffic type.
The Firebox Firewall Policies API is a RESTful API that you can use to create, retrieve, update, enable, disable, and delete firewall policies for cloud-managed Fireboxes.
You can also use read-only GET endpoints to retrieve configuration objects that firewall policies reference, such as policy groups, traffic types, aliases, networks, users, groups, SNAT actions, SD-WANs, traffic shaping rules, schedules, and content filtering rules.
For more information about firewall policies, go to About Firebox Firewall Settings in Fireware Help.
You can use the Firebox Firewall Policies API to:
- Get Firewall Policies
- Create a Firewall Policy
- Get a Firewall Policy
- Update a Firewall Policy
- Enable or Disable a Firewall Policy
- Delete a Firewall Policy
- Retrieve configuration objects that firewall policies reference
- Get Policy Groups
- Get a Policy Group
- Get Traffic Types
- Get a Traffic Type
- Get Aliases
- Get an Alias
- Get Networks
- Get a Network
- Get Users
- Get a User
- Get Groups
- Get a Group
- Get Authentication Groups
- Get an Authentication Group
- Get AuthPoint User Groups
- Get an AuthPoint User Group
- Get SAML User Groups
- Get a SAML User Group
- Get SNAT Actions
- Get an SNAT Action
- Get SD-WANs
- Get an SD-WAN
- Get Traffic Shaping Rules
- Get a Traffic Shaping Rule
- Get Schedules
- Get a Schedule
- Get Content Filtering Rules
- Get a Content Filtering Rule
Get Firewall Policies
/{v1}/configuration/{accountid}/firewall/policies
Make a request to this endpoint to retrieve a list of firewall policies for an account or for a specific device.
You can specify the device query parameter to view the firewall policy details for any specific device. You can also specify the full query parameter to view the summary or all the details of the firewall policies for an account or a device in the response.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Query Parameters
When you send a request to this endpoint, you can include these request parameters:
|
device
|
Specifies the Firebox ID in WatchGuard Cloud. If specified, only firewall policies for this device are returned. Example: 12345 |
|
full
|
Specifies the level of detail in the response. You can specify one of these values:
If this parameter is not specified, then you can view only the summary of each policy that includes the Example: 1 |
Example Request
This request retrieves firewall policies for device 12345 from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policies?device=12345
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
{
"count": 1,
"objects": [
{
"id": "fpol_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_policy",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Outgoing",
"description": "Allow outgoing traffic",
"enabled": true,
"action": "allow",
"type": "outbound",
"traffic_types": [
"ftyp_12345_HTTP80AAABBBCCC",
"ftyp_12345_HTTPS443DDDEEEF"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Internal"
}
],
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"idle_timeout": {
"override_global": false
},
"nat": {
"dynamic_nat": {
"enabled": true,
"type": "global"
}
},
"sticky_connection": {
"override_global": false
}
}
]
}
Data returned in the response includes the following parameters:
|
count
|
Total number of firewall policies returned. |
|
objects
|
List of firewall policy objects. |
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Create a Firewall Policy
/{v1}/configuration/{accountid}/firewall/policies
Make a request to this endpoint to create a new firewall policy for a device. You must specify the group parameter to indicate which policy category to add the policy to.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Request Body
|
device
|
WatchGuard Cloud Firebox device ID. Example: 12345 |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Example Request
This request creates a new outbound firewall policy for device 12345:
curl -X POST
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policies
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"device": 12345,
"name": "Outgoing",
"description": "Allow outgoing traffic",
"enabled": true,
"action": "allow",
"type": "outbound",
"group": "fgrp_12345_COREPOLICIESABC",
"traffic_types": [
"ftyp_12345_HTTP80AAABBBCCC",
"ftyp_12345_HTTPS443DDDEEEF"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Internal"
}
],
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"idle_timeout": {
"override_global": false
},
"nat": {
"dynamic_nat": {
"enabled": true,
"type": "global"
}
},
"sticky_connection": {
"override_global": false
}
}'
Example Response
{
"id": "fpol_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_policy",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Outgoing",
"description": "Allow outgoing traffic",
"enabled": true,
"action": "allow",
"type": "outbound",
"traffic_types": [
"ftyp_12345_HTTP80AAABBBCCC",
"ftyp_12345_HTTPS443DDDEEEF"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Internal"
}
],
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"idle_timeout": {
"override_global": false
},
"nat": {
"dynamic_nat": {
"enabled": true,
"type": "global"
}
},
"sticky_connection": {
"override_global": false
}
}
Response Parameters
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Get a Firewall Policy
/{v1}/configuration/{accountid}/firewall/policies/{objectid}
Make a request to this endpoint to retrieve the specified firewall policy.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the firewall policy. Example: fpol_12345_ARBHLJ70Y78rGOIGBS |
Example Request
This request retrieves the firewall policy for the objectid fpol_108373_UgnFYgni8APTYNIq:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policies/fpol_108373_UgnFYgni8APTYNIqrGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
{
"account": "WGC-1-123abc456",
"action": "allow",
"author": "",
"author_username": "",
"content_filtering": {
"action": "Guest",
"enabled": true
},
"content_scanning": true,
"created": 1779951389,
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"device": "108373",
"enabled": true,
"etag": "18b3a85b9cbb9d33ce787f2a",
"geolocation": {
"action": "Guest",
"enabled": true
},
"group": "Core Policies",
"id": "fpol_108373_UgnFYgni8APTYNIq",
"idle_timeout": {
"override_global": false,
"value": 0
},
"inception_time": 1750689300,
"name": "Guest",
"nat": {
"dynamic_nat": {
"enabled": true,
"source_ip": {},
"type": "global"
}
},
"object": "firewall_policy",
"original_author": "7a6tuMvS80ax58KBmFES2Q==",
"original_author_username": "TechPubQA",
"referencedby": [
"ACC-2121960/fgrp_108373_cc4ax4mKfaLGcLgh"
],
"references": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq",
"geoa_108373_pQUBRhapQ2GOfEug",
"cf_108373_ASZpTzEG4o3bkOPspO"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Guest"
}
],
"sticky_connection": {
"interval": 0,
"override_global": false
},
"traffic_types": [
"FTP",
"All TCP and UDP",
"PING"
],
"type": "outbound",
"version": 3,
"web_traffic": {
"enabled": true,
"ports": [
80,
443
]
}
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Update a Firewall Policy
/{v1}/configuration/{accountid}/firewall/policies/{objectid}
Make a request to this endpoint to update the details in a specific firewall policy.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the firewall policy to update. Example: fpol_12345_ARBHLJ70Y78rGOIGBS |
Request Body
In the request body, include the following parameters:
|
device
|
WatchGuard Cloud Firebox device ID. Example: 12345 |
|
version
|
Version number of the policy object to update. Each update increments the version by one. Example: 1 |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Example Request
This request updates the action to deny for the firewall policy with the objectid fpol_12345_ARBHLJ70Y78rGOIGBS:
curl -X PUT
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policies/fpol_12345_ARBHLJ70Y78rGOIGBSrGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"action": "deny",
"author_username": "",
"content_filtering": {
"action": "Guest",
"enabled": true
},
"content_scanning": true,
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"device": "108373",
"enabled": true,
"etag": "18b3a85b9cbb9d33ce787f2a",
"geolocation": {
"action": "Guest",
"enabled": true
},
"group": "Core Policies",
"idle_timeout": {
"override_global": false,
"value": 0
},
"inception_time": 1750689300,
"name": "Guest",
"nat": {
"dynamic_nat": {
"enabled": true,
"source_ip": {},
"type": "global"
}
},
"original_author": "7a6tu123450ax58KBmFES2Q==",
"original_author_username": "Test",
"referencedby": [
"ACC-2121960/fgrp_108373_cc4ax4mKfaLGcLgh"
],
"references": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq",
"geoa_108373_pQUBRhapQ2GOfEug",
"cf_108373_ASZpTzEG4o3bkOPspO"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Guest"
}
],
"sticky_connection": {
"interval": 0,
"override_global": false
},
"traffic_types": [
"FTP",
"All TCP and UDP",
"PING"
],
"type": "outbound",
"version": 4,
"web_traffic": {
"enabled": true,
"ports": [
80,
443
]
}
}'
Example Response
{
"account": "WGC-1-123abc456",
"action": "deny",
"author": "",
"author_username": "",
"connection_rate_limit": {
"connection_rate": 100,
"enabled": false
},
"content_filtering": {
"action": "Guest",
"enabled": true
},
"content_scanning": true,
"created": 1779959750,
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"device": "108373",
"enabled": true,
"etag": "18b3aff66eb7c61f2734dfbb",
"geolocation": {
"action": "Guest",
"enabled": true
},
"group": "Core Policies",
"id": "fpol_108373_UgnFYgni8APTYNIq",
"idle_timeout": {
"override_global": false,
"value": 0
},
"inception_time": 1750689300,
"name": "Guest",
"nat": {
"dynamic_nat": {
"enabled": true,
"source_ip": {},
"type": "global"
}
},
"object": "firewall_policy",
"original_author": "7a6tu12345ax58KBmFES2Q==",
"original_author_username": "Test",
"referencedby": [
"ACC-2121960/fgrp_108373_cc4ax4mKfaLGcLgh"
],
"references": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq",
"geoa_108373_pQUBRhapQ2GOfEug",
"cf_108373_ASZpTzEG4o3bkOPspO"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Guest"
}
],
"sticky_connection": {
"interval": 0,
"override_global": false
},
"traffic_types": [
"FTP",
"All TCP and UDP",
"PING"
],
"type": "outbound",
"version": 5,
"web_traffic": {
"enabled": true,
"ports": [
80,
443
]
}
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Enable or Disable a Firewall Policy
/{v1}/configuration/{accountid}/firewall/policies/{objectid}
Make a request to this endpoint to enable or disable a specific firewall policy.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the firewall policy to enable or disable. Example: fpol_12345_ARBHLJ70Y78rGOIGBS |
Request Body
|
device
|
WatchGuard Cloud Firebox device ID. Example: 12345 |
|
enabled
|
Specifies whether the policy is enabled or disabled. Example: false |
Example Request
This request disables the firewall policy with objectid fpol_108373_UgnFYgni8APTYNIq:
curl -X PATCH
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/ACC-1234567/firewall/policies/fpol_12345_ARBHLJ70Y78rGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
-d '{
"device": 12345,
"enabled": false
}'
Example Response
{
"account": "ACC-1234567",
"action": "allow",
"author": "",
"author_username": "",
"content_filtering": {
"action": "Guest",
"enabled": true
},
"content_scanning": true,
"created": 1779950987,
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"device": "12345",
"enabled": false,
"etag": "18b3a7fe23d9b1d361dbdc25",
"geolocation": {
"action": "Guest",
"enabled": true
},
"group": "Core Policies",
"id": "fpol_108373_UgnFYgni8APTYNIq",
"idle_timeout": {
"override_global": false,
"value": 0
},
"inception_time": 1750689300,
"name": "Guest",
"nat": {
"dynamic_nat": {
"enabled": true,
"source_ip": {},
"type": "global"
}
},
"object": "firewall_policy",
"original_author": "7a6tuMvS80ax58KBmFES2Q==",
"original_author_username": "TestAuthor",
"referencedby": [
"ACC-2121960/fgrp_108373_cc4ax4mKfaLGcLgh"
],
"references": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq",
"geoa_108373_pQUBRhapQ2GOfEug",
"cf_108373_ASZpTzEG4o3bkOPspO"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Guest"
}
],
"sticky_connection": {
"interval": 0,
"override_global": false
},
"traffic_types": [
"FTP",
"All TCP and UDP",
"PING"
],
"type": "outbound",
"version": 2,
"web_traffic": {
"enabled": true,
"ports": [
80,
443
]
}
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Delete a Firewall Policy
/{v1}/configuration/{accountid}/firewall/policies/{objectid}
Make a request to this endpoint to delete the specified firewall policy. Permanent policies cannot be deleted.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the firewall policy to delete. Example: fpol_12345_ARBHLJ70Y78rGOIGBS |
Example Request
This request deletes the firewall policy with the objectid of fpol_108373_wu2laNI1SADBdldx:
curl -X DELETE
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/ACC-1234567/firewall/policies/fpol_108373_wu2laNI1SADBdldxrGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
When you delete a firewall policy, the version number increases by one and an inactive parameter with a true value is added to the response.
{
"account": "ACC-1234567",
"action": "allow",
"author": "",
"author_username": "",
"content_filtering": {
"action": "cf_108373_1L6xhM6jfLl3SMU4Tr",
"enabled": true
},
"content_scanning": true,
"created": 1779947149,
"destinations": [
{
"type": "system_alias",
"value": "Any-External"
}
],
"device": "108373",
"enabled": true,
"geolocation": {
"action": "geoa_108373_pL74TEHbLmc4hLYb",
"enabled": true
},
"id": "fpol_108373_wu2laNI1SADBdldx",
"idle_timeout": {
"override_global": false,
"value": 0
},
"inactive": true,
"inception_time": 1750689300,
"name": "Outgoing",
"nat": {
"dynamic_nat": {
"enabled": true,
"source_ip": {},
"type": "global"
}
},
"object": "firewall_policy",
"original_author": "7a6tuMvS80ax58KBmFES2Q==",
"original_author_username": "TechPubQA",
"referencedby": [],
"references": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq",
"geoa_108373_pL74TEHbLmc4hLYb",
"cf_108373_1L6xhM6jfLl3SMU4Tr"
],
"sources": [
{
"type": "system_alias",
"value": "Any-Internal"
}
],
"sticky_connection": {
"interval": 0,
"override_global": false
},
"traffic_types": [
"ftyp_108373_LDqar0c4HONw11DJ",
"ftyp_108373_H2H58Tbf1GYXnYSS",
"ftyp_108373_2vT8STHv1fGld5Wq"
],
"type": "outbound",
"version": 2,
"web_traffic": {
"enabled": true,
"ports": [
80,
443
]
}
}
Data returned in the response includes the following parameters:
|
inactive
|
Indicates that the firewall policy has been deleted. The value is always true. |
|
id
|
Unique ID that identifies this firewall policy. |
|
object
|
Type of object. The value is firewall_policy. |
|
version
|
Version number of the policy object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Device this policy applies to. Example: 12345 |
|
created
|
Time that the object was created, specified in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects added or updated with the Firebox Firewall Policies API. |
|
name
|
Name of the firewall policy. Example: Outgoing |
|
description
|
Description of the firewall policy. Example: Allow outgoing traffic |
|
enabled
|
Indicates whether the policy is enabled. The default value is true. |
|
group
|
Policy group this policy belongs to. Allowed values are:
Example: Core Policies |
|
immutable
|
Indicates if users can modify this policy. The default value is false. |
|
permanent
|
Indicates whether this policy is permanent for a device and cannot be deleted by users. The default value is false. |
|
togglable
|
Indicates whether users can only toggle this policy on or off Specify this parameter with |
|
action
|
Indicates the action to take for traffic that matches this policy. The allowed values are allow and deny. The default value is allow. |
|
type
|
Indicates the firewall policy type. The allowed values are:
|
|
traffic_types
|
Name of the traffic types. Must not be empty unless the policy type is outbound and web traffic is enabled. Example: ["ftyp_12345_HTTP80AAABBBCCC"] |
|
sources
|
Source addresses or objects to match against a connection. |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
destinations
|
Destination addresses or objects to match against a connection. Uses the same format as |
|
type
|
Specifies the type of source. The allowed values are:
|
|
value
|
Value for the match type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
|
sdwan
|
Name of the SD-WAN action or reference to an SD-WAN action configuration object. |
|
geolocation
|
Geolocation action settings for this policy. |
|
enabled
|
Indicates whether geolocation filtering is enabled. The default value is true. |
|
action
|
Name of the Geolocation action or reference to a Geolocation action configuration object. |
|
tor_nodes
|
Indicates whether Tor exit node blocking is enabled for this policy. The default value is false. |
|
idle_timeout
|
Idle timeout settings for this policy. |
|
override_global
|
Indicates whether the global idle timeout setting is overridden. The default value is false. |
|
value
|
Idle timeout value in seconds. The default value is 180. |
|
nat
|
Network Address Translation (NAT) settings. |
|
global_one_to_one_nat
|
1-to-1 NAT settings for this policy. |
|
enabled
|
Indicates whether 1-to-1 NAT is enabled for this policy. The default value is true. |
|
dynamic_nat
|
Dynamic NAT settings. |
|
enabled
|
Indicates whether dynamic NAT is enabled. The default value is true. |
|
type
|
Dynamic NAT type. The allowed values are global and per_policy. The default value is global. |
|
source_ip
|
Source IP address override settings for dynamic NAT. |
|
enabled
|
Indicates whether a specified source IP address is used for dynamic NAT. The default value is false. |
|
ipv4_address
|
IPv4 address used as the source address for dynamic NAT. Example: 192.0.2.1 |
|
sticky_connection
|
Sticky connection settings for this policy. |
|
override_global
|
Indicates whether the global sticky connection setting is overridden. The default value is false. |
|
interval
|
Sticky connection interval in seconds. The default value is 180. |
|
connection_rate_limit
|
Connection rate limit settings for this policy. |
|
enabled
|
Indicates whether connection rate limiting is enabled. The default value is false. |
|
connection_rate
|
Maximum number of connections per second. Valid range: 1–100000. The default value is 100. |
|
alarm
|
Indicates whether an alarm is triggered when the connection rate limit is exceeded. The default value is false. |
|
notifications
|
Notification settings for this policy. |
|
enabled
|
Indicates whether notifications are enabled for this policy. The default value is false. |
|
snmp
|
Indicates whether SNMP traps are sent for this policy. The default value is false. |
|
traffic_shaping
|
Name of the traffic shaping rule or reference to a traffic shaping configuration object. |
|
qos
|
Quality of Service (QoS) marking settings for this policy. |
|
marking_type
|
QoS marking type. The allowed values are:
The default value is ip_precedence. |
|
method
|
QoS marking method. The allowed values are:
The default value is preserve. |
|
value
|
QoS marking value. Valid range depends on the |
|
websocket
|
Indicates whether WebSocket traffic is allowed by this policy. Applies to |
|
web_action_setting
|
Web action settings. Applies to |
|
safe_search
|
SafeSearch enforcement settings. |
|
enabled
|
Indicates whether SafeSearch is enabled. The default value is false. |
|
enforcement_level
|
SafeSearch enforcement level. The allowed values are moderate and strict. The default value is strict. |
|
google_apps_allowed_domains
|
Google Apps allowed domains settings. |
|
enabled
|
Indicates whether Google Apps domain restriction is enabled. The default value is false. |
|
domains
|
List of allowed domain names. |
|
fastvue_enabled
|
Indicates whether Fastvue reporting is enabled. The default value is false. |
|
url_path_keywords_filtering
|
URL path keyword filtering settings. |
|
enabled
|
Indicates whether URL path keyword filtering is enabled. The default value is false. |
|
keywords
|
List of keyword filter objects. |
|
keyword_type
|
Keyword match type. The allowed values are:
|
|
keyword
|
Keyword to filter. Maximum: 200 characters. |
|
action
|
Action to take when the keyword matches. The allowed values are allow and deny. |
|
log
|
Indicates whether to log keyword filter matches. The default value is true. |
|
alarm
|
Indicates whether to trigger an alarm on keyword filter matches. The default value is false. |
|
smtp_setting
|
SMTP settings for this policy. |
|
max_email_size
|
Maximum email message size in MB. Valid range: 1 – 150. The default value is 20. |
|
schedule
|
Name of the schedule or reference to a schedule configuration object. |
|
content_filtering
|
Content filtering action settings. Applies to |
|
enabled
|
Indicates whether content filtering is enabled. The default value is true. |
|
action
|
Name of the content filtering action or reference to a content filtering action configuration object. |
|
web_traffic
|
Web traffic inspection settings for selected ports. Applies to |
|
enabled
|
Indicates whether web traffic inspection is enabled. The default value is false. |
|
ports
|
TCP ports to inspect for web traffic. |
|
inspect_https
|
Indicates whether HTTPS traffic is inspected. The default value is false. |
|
content_scanning
|
Indicates whether content scanning is enabled. Applies to |
|
traffic_direction
|
Traffic direction setting. Applies to |
Get Policy Groups
/{v1}/configuration/{accountid}/firewall/policy_groups
Make a request to this endpoint to retrieve a list of policy groups for an account or for a specific device or template. If you specify the device query parameter, only the policy groups for that device are returned. If you specify the templateid query parameter, only the policy groups for that template are returned.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Query Parameters
When you send a request to this endpoint, you can include these request parameters:
|
device
|
Specifies the Firebox ID in WatchGuard Cloud. If specified, only configuration objects for this device are returned. Example: 12345 Example: FBCL-12345 |
|
templateid
|
Specifies the device template ID used to filter configuration objects. Mutually exclusive with the |
Example Request
This request retrieves policy groups for device 12345 from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policy_groups?device=12345
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes a count and a list of policy group objects.
{
"count": 1,
"objects": [
{
"id": "fpg_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_policy_group",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Core Policies",
"policies": [
"fpol_12345_ARBHLJ70Y78rGOIGBS"
]
}
]
}
Data returned in the response includes the following parameters:
|
count
|
Total number of policy groups returned. |
|
objects
|
List of policy group objects. |
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the policy group. |
|
policies
|
Lists references to firewall policies in the group, in order. |
Get a Policy Group
/{v1}/configuration/{accountid}/firewall/policy_groups/{objectid}
Make a request to this endpoint to retrieve the specified policy group.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the policy group to retrieve. Example: fpg_12345_ARBHLJ70Y78rGOIGBS |
Example Request
This request retrieves the policy group for the objectid fpg_12345_ARBHLJ70Y78rGOIGBS:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/policy_groups/fpg_12345_ARBHLJ70Y78rGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the specified policy group object.
{
"id": "fpg_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_policy_group",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Core Policies",
"policies": [
"fpol_12345_ARBHLJ70Y78rGOIGBS"
]
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the policy group. |
|
policies
|
Lists references to firewall policies in the group, in order. |
Get Traffic Types
/{v1}/configuration/{accountid}/firewall/traffic_types
Make a request to this endpoint to retrieve a list of traffic types for an account or for a specific device or template. If you specify the device query parameter, only the traffic types for that device are returned. If you specify the templateid query parameter, only the traffic types for that template are returned.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Query Parameters
When you send a request to this endpoint, you can include these request parameters:
|
device
|
Specifies the Firebox ID in WatchGuard Cloud. If specified, only configuration objects for this device are returned. Example: 12345 Example: FBCL-12345 |
|
templateid
|
Specifies the device template ID used to filter configuration objects. Mutually exclusive with the |
Example Request
This request retrieves traffic types for device 12345 from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/traffic_types?device=12345
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes a count and a list of traffic type objects.
{
"count": 1,
"objects": [
{
"id": "ftyp_12345_LDqar0c4HONw11DJ",
"object": "firewall_traffic_type",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "HTTP",
"description": "HTTP traffic",
"type": "custom",
"category": "Web",
"protocols": [
{
"type": "single_port",
"protocol": 6,
"value": 80
}
]
}
]
}
Data returned in the response includes the following parameters:
|
count
|
Total number of traffic types returned. |
|
objects
|
List of traffic type objects. |
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the traffic type. Maximum: 58 characters. |
|
description
|
Specifies the description of the traffic type. Maximum: 127 characters. |
|
type
|
Defines whether the traffic type is predefined or custom. The allowed values are predefined and custom. The default value is custom. |
|
category
|
Specifies the traffic type category. The default value is Custom. The allowed values are:
|
|
protocols
|
Lists the protocols and ports that define the traffic type. Minimum: 1 item. |
|
protocol
|
Specifies the IP protocol number. Valid range: 0–255 when |
|
type
|
Specifies the protocol match type. The allowed values are:
|
|
value
|
Specifies the port or ICMP settings for the protocol. Omit this property when |
|
start
|
Specifies the starting port number when |
|
end
|
Specifies the ending port number when |
|
icmp_type
|
Specifies the ICMP type when |
|
icmp_code
|
Specifies the ICMP code when |
Get a Traffic Type
/{v1}/configuration/{accountid}/firewall/traffic_types/{objectid}
Make a request to this endpoint to retrieve the specified traffic type.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the traffic type to retrieve. Example: ftyp_12345_LDqar0c4HONw11DJ |
Example Request
This request retrieves the traffic type for the objectid ftyp_12345_LDqar0c4HONw11DJ:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/traffic_types/ftyp_12345_LDqar0c4HONw11DJ
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the specified traffic type object.
{
"id": "ftyp_12345_LDqar0c4HONw11DJ",
"object": "firewall_traffic_type",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "HTTP",
"description": "HTTP traffic",
"type": "custom",
"category": "Web",
"protocols": [
{
"type": "single_port",
"protocol": 6,
"value": 80
}
]
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the traffic type. Maximum: 58 characters. |
|
description
|
Specifies the description of the traffic type. Maximum: 127 characters. |
|
type
|
Defines whether the traffic type is predefined or custom. The allowed values are predefined and custom. The default value is custom. |
|
category
|
Specifies the traffic type category. The default value is Custom. The allowed values are:
|
|
protocols
|
Lists the protocols and ports that define the traffic type. Minimum: 1 item. |
|
protocol
|
Specifies the IP protocol number. Valid range: 0–255 when |
|
type
|
Specifies the protocol match type. The allowed values are:
|
|
value
|
Specifies the port or ICMP settings for the protocol. Omit this property when |
|
start
|
Specifies the starting port number when |
|
end
|
Specifies the ending port number when |
|
icmp_type
|
Specifies the ICMP type when |
|
icmp_code
|
Specifies the ICMP code when |
Get Aliases
/{v1}/configuration/{accountid}/firewall/aliases
Make a request to this endpoint to retrieve a list of aliases for an account or for a specific device or template. If you specify the device query parameter, only the aliases for that device are returned. If you specify the templateid query parameter, only the aliases for that template are returned.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Query Parameters
When you send a request to this endpoint, you can include these request parameters:
|
device
|
Specifies the Firebox ID in WatchGuard Cloud. If specified, only configuration objects for this device are returned. Example: 12345 Example: FBCL-12345 |
|
templateid
|
Specifies the device template ID used to filter configuration objects. Mutually exclusive with the |
Example Request
This request retrieves aliases for device 12345 from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/aliases?device=12345
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes a count and a list of alias objects.
{
"count": 1,
"objects": [
{
"id": "fali_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_alias",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Internal Servers",
"description": "Internal server addresses",
"members": [
{
"type": "ipv4_host",
"value": "192.0.2.10"
}
]
}
]
}
Data returned in the response includes the following parameters:
|
count
|
Total number of aliases returned. |
|
objects
|
List of alias objects. |
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the alias. |
|
description
|
Specifies the description of the alias. |
|
members
|
Lists the addresses, networks, or objects included in the alias. |
|
type
|
Specifies the type of alias member. The allowed values are:
|
|
value
|
Specifies the value for the member type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
Get an Alias
/{v1}/configuration/{accountid}/firewall/aliases/{objectid}
Make a request to this endpoint to retrieve the specified alias.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
|
objectid
|
ID of the alias to retrieve. Example: fali_12345_ARBHLJ70Y78rGOIGBS |
Example Request
This request retrieves the alias for the objectid fali_12345_ARBHLJ70Y78rGOIGBS:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/firewall/aliases/fali_12345_ARBHLJ70Y78rGOIGBS
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response returns the specified alias object.
{
"id": "fali_12345_ARBHLJ70Y78rGOIGBS",
"object": "firewall_alias",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Internal Servers",
"description": "Internal server addresses",
"members": [
{
"type": "ipv4_host",
"value": "192.0.2.10"
}
]
}
Data returned in the response includes the following parameters:
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
name
|
Specifies the name of the alias. |
|
description
|
Specifies the description of the alias. |
|
members
|
Lists the addresses, networks, or objects included in the alias. |
|
type
|
Specifies the type of alias member. The allowed values are:
|
|
value
|
Specifies the value for the member type. The format depends on the type. For example, an IPv4 address for |
|
usergrp_id
|
Specifies the user group identifier when |
|
domain_id
|
Specifies the authentication domain identifier when |
Get Networks
/{v1}/configuration/{accountid}/networking/networks
Make a request to this endpoint to retrieve a list of networks for an account or for a specific device or template. If you specify the device query parameter, only the networks for that device are returned. If you specify the templateid query parameter, only the networks for that template are returned.
Path Parameters
When you send a request to this endpoint, you must include these path parameters:
|
accountid
|
Your WatchGuard Cloud account ID. You can see your Example: WGC-1-123abc456 or ACC-1234567 |
Query Parameters
When you send a request to this endpoint, you can include these request parameters:
|
device
|
Specifies the Firebox ID in WatchGuard Cloud. If specified, only configuration objects for this device are returned. Example: 12345 Example: FBCL-12345 |
|
templateid
|
Specifies the device template ID used to filter configuration objects. Mutually exclusive with the |
Example Request
This request retrieves networks for device 12345 from the specified WatchGuard Cloud account:
curl -X GET
https://api.usa.cloud.watchguard.com/rest/firebox/management/v1/configuration/WGC-1-123abc456/networking/networks?device=12345
-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE...'
-H 'Accept: application/json'
-H 'Content-Type: application/json'
-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
Example Response
The response includes a count and a list of network objects.
{
"count": 1,
"objects": [
{
"id": "fnet_12345_ARBHLJ70Y78rGOIGBS",
"object": "network",
"version": 1,
"account": "WGC-1-123abc456",
"device": 12345,
"created": 1579907960,
"author": "testuser",
"name": "Trusted",
"type": "vlan",
"zone": "internal",
"vid": 10,
"interfaces": [
{
"interface": "eth1",
"tagged": true
}
],
"ip_addresses": {
"primary": "192.0.2.1/24"
}
}
]
}
Data returned in the response includes the following parameters:
|
count
|
Total number of networks returned. |
|
objects
|
List of network objects. |
|
id
|
Unique ID that identifies this configuration object. |
|
object
|
Type of configuration object returned by the endpoint. |
|
version
|
Version number of the configuration object. Example: 1 |
|
account
|
Your WatchGuard Cloud account ID. Example: WGC-1-123abc456 |
|
device
|
Specifies the device this configuration object applies to. Example: 12345 |
|
created
|
Object creation time in Unix epoch time format. Example: 1579907960 |
|
author
|
Author of the object. This is always empty for objects retrieved with the Firebox Firewall Policies API. |
|
type
|
Specifies the network type. The allowed values are:
|
|
ifnum
|
Specifies the interface number. This value is set by the system. Do not set this parameter. |
|
vid
|
Specifies the VLAN ID for VLAN networks. |
|
name
|
Specifies the name of the network. Maximum: 58 characters. |
|
zone
|
Specifies the network zone. On the Firebox, internal maps to Trusted and guest maps to Optional. The allowed values are:
|
|
interfaces
|
Lists the interfaces assigned to the network. |
|
interface
|
Specifies the network interface. This value can be a string reference to an existing network interface object, or an inline network interface object. |
|
type
|
Specifies the interface type. The allowed values are:
|
|
mode
|
Specifies the interface mode. This value is set by the system. The allowed values are:
|
|
ifnum
|
Specifies the interface number. |
|
enabled
|
Indicates whether the interface is enabled. |
|
ethernet_settings
|
Specifies Ethernet settings for the interface. |
|
auto_negotiate
|
Indicates whether auto-negotiation is enabled for the Ethernet link. |
|
link_speed
|
Specifies the Ethernet link speed in Mbps. The allowed values are:
|
|
full_duplex
|
Indicates whether full-duplex mode is enabled. |
|
mtu
|
Specifies the maximum transmission unit (MTU) for the interface. Valid range: 68–9000. |
|
qos_type
|
Specifies the QoS marking type. The allowed values are 1 (DSCP) and 2 (Precedence). |
|
qos_method
|
Specifies the QoS marking method. The allowed values are 0 (Preserve) and 1 (Assign). |
|
qos_value
|
Specifies the QoS marking value. |
|
wireless_settings
|
Specifies wireless settings for the interface. |
|
ssid
|
Specifies the SSID for the wireless interface. Minimum: 1 character. Maximum: 32 characters. |
|
operation_mode
|
Specifies the wireless operation mode. The allowed value is wireless_ap. |
|
broadcast_ssid
|
Indicates whether the SSID is broadcast. |
|
auth_mode
|
Specifies the wireless authentication mode. The allowed values are:
|
|
passphrase
|
Specifies the wireless passphrase. Minimum: 8 characters. Maximum: 63 characters. |
|
log_authentication_events
|
Indicates whether wireless authentication events are logged. |
|
client_isolation
|
Indicates whether wireless client isolation is enabled. |
|
2_4ghz_radio
|
Indicates whether the 2.4 GHz radio is enabled for this wireless interface. |
|
5ghz_radio
|
Indicates whether the 5 GHz radio is enabled for this wireless interface. |
|
6ghz_radio
|
Indicates whether the 6 GHz radio is enabled for this wireless interface. |
|
domain
|
Specifies a reference to an authentication domain for enterprise wireless authentication. |
|
eap_reauth_period
|
Specifies the EAP reauthentication period in seconds. Valid range: 0–2147483647. |
|
modem_settings
|
Specifies modem settings for the interface. |
|
builtin
|
Indicates whether the modem is a built-in modem. |
|
apn
|
Specifies the Access Point Name (APN) for the modem. Minimum: 1 character. Maximum: 255 characters. |
|
ipv6
|
Specifies IPv6 settings for the modem. |
|
enabled
|
Indicates whether IPv6 is enabled for the modem. The default value is false. |
|
lag_settings
|
Specifies link aggregation (LAG) settings for the interface. |
|
name
|
Specifies the name of the LAG. |
|
mode
|
Specifies the LAG mode. The allowed values are:
|
|
members
|
Lists string references to the member interfaces of the LAG. |
|
tagged
|
Indicates whether the interface is tagged for this network. |
|
ip_addresses
|
Specifies the IP address settings for the network. |
|
primary
|
Specifies the primary IPv4 address in CIDR notation. |
|
secondary
|
Lists secondary IPv4 addresses in CIDR notation. |
|
gateway
|
Specifies the IPv4 gateway address. |
|
external_type
|
Specifies the external network addressing type. The allowed values are:
|
|
dhcp_client
|
Specifies DHCP client settings for the network. |
|
ip_addr
|
Specifies the IPv4 address for the DHCP client. |
|
client_id
|
Specifies the DHCP client identifier. Minimum: 1 character. Maximum: 255 characters. |
|
host_name
|
Specifies the DHCP client host name. Minimum: 1 character. Maximum: 255 characters. |
|
lease_time
|
Specifies the DHCP lease time in seconds. Valid range: 1–2147483647. |
|
force_renew
|
Indicates whether the DHCP client forces lease renewal. |
|
auth_token
|
Specifies the DHCP authentication token. Minimum: 1 character. Maximum: 513 characters. |
|
pppoe_client
|
Specifies PPPoE client settings for the network. |
|
ip_addr
|
Specifies the IPv4 address for the PPPoE client. |
|
user
|
Specifies the PPPoE user name. Minimum: 1 character. Maximum: 63 characters. |
|
password
|
Specifies the PPPoE password. Minimum: 1 character. Maximum: 192 characters. |
|
dial_on_demand
|
Indicates whether dial-on-demand is enabled for the PPPoE connection. |
|
init_delay
|
Specifies the PPPoE initialization delay in seconds. Valid range: 0–3600. The default value is 60. |
|
idle_timeout
|
Specifies the PPPoE idle timeout in seconds. Valid range: 0–60. The default value is 20. |
|
retry_unique
|
[...]
